/* Riot v9.1.1, @license MIT */
import createRuntimeSlots from '../utils/create-runtime-slots.js';
import { component as component$1 } from '../api/component.js';

// wrap the original riot component function
// to create the slots from the DOM node
function component(implementation) {
  const factory = component$1(implementation);

  return (el, props, { slots, attributes, parentScope } = {}) => {
    return factory(el, props, {
      slots: slots || createRuntimeSlots(el),
      attributes,
      parentScope,
    })
  }
}

export { component };
